package com.gic.haoban.manage.service.service.role;

import com.gic.haoban.manage.service.entity.role.TabHaobanRoleMenu;

/**
 * 好办小程序权限菜单(TabHaobanRoleMenu)表服务接口
 *
 * @author mozhu
 * @since 2022-09-09 11:36:06
 */
public interface HaobanRoleMenuService {

    /**
     * 通过ID查询单条数据
     *
     * @param roleMenuId 主键
     * @return 实例对象
     */
    TabHaobanRoleMenu queryById(Long roleMenuId);

    /**
     * 新增数据
     *
     * @param tabHaobanRoleMenu 实例对象
     * @return 实例对象
     */
    TabHaobanRoleMenu insert(TabHaobanRoleMenu tabHaobanRoleMenu);

    /**
     * 修改数据
     *
     * @param tabHaobanRoleMenu 实例对象
     * @return 实例对象
     */
    TabHaobanRoleMenu update(TabHaobanRoleMenu tabHaobanRoleMenu);

    /**
     * 通过主键删除数据
     *
     * @param roleMenuId 主键
     * @return 是否成功
     */
    boolean deleteById(Long roleMenuId);

}
